"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.before = void 0;
const beforify_1 = require("./beforify");
function before(config) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, beforify_1.beforify)(descriptor.value, config);
            return descriptor;
        }
        throw new Error('@before is applicable only on a methods.');
    };
}
exports.before = before;
//# sourceMappingURL=before.js.map