"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delay = void 0;
const delayfy_1 = require("./delayfy");
function delay(delayMs) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, delayfy_1.delayfy)(descriptor.value, delayMs);
            return descriptor;
        }
        throw new Error('@delay is applicable only on a methods.');
    };
}
exports.delay = delay;
//# sourceMappingURL=delay.js.map