"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.throttleAsync = void 0;
const throttle_asyncify_1 = require("./throttle-asyncify");
function throttleAsync(parallelCalls) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, throttle_asyncify_1.throttleAsyncify)(descriptor.value, parallelCalls);
            return descriptor;
        }
        throw new Error('@throttleAsync is applicable only on a methods.');
    };
}
exports.throttleAsync = throttleAsync;
//# sourceMappingURL=throttle-async.js.map