import { delayfy } from './delayfy';
export function delay(delayMs) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = delayfy(descriptor.value, delayMs);
            return descriptor;
        }
        throw new Error('@delay is applicable only on a methods.');
    };
}
//# sourceMappingURL=delay.js.map