export function delayfy(originalMethod, delayMs) {
    return function (...args) {
        setTimeout(() => {
            originalMethod.apply(this, args);
        }, delayMs);
    };
}
//# sourceMappingURL=delayfy.js.map