import { memoizeAsyncify } from './memoize-asyncify';
export function memoizeAsync(input) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = memoizeAsyncify(descriptor.value, input);
            return descriptor;
        }
        throw new Error('@memoizeAsync is applicable only on a methods.');
    };
}
//# sourceMappingURL=memoize-async.js.map