import { onErrorify } from './on-errorify';
export function onError(config) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = onErrorify(descriptor.value, config);
            return descriptor;
        }
        throw new Error('@onError is applicable only on a methods.');
    };
}
//# sourceMappingURL=on-error.js.map