import { throttleAsyncify } from './throttle-asyncify';
export function throttleAsync(parallelCalls) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = throttleAsyncify(descriptor.value, parallelCalls);
            return descriptor;
        }
        throw new Error('@throttleAsync is applicable only on a methods.');
    };
}
//# sourceMappingURL=throttle-async.js.map