import { throttlify } from './throttlify';
export function throttle(delayMs) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = throttlify(descriptor.value, delayMs);
            return descriptor;
        }
        throw new Error('@throttle is applicable only on a methods.');
    };
}
//# sourceMappingURL=throttle.js.map