"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.after = void 0;
const afterify_1 = require("./afterify");
function after(config) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, afterify_1.afterify)(descriptor.value, config);
            return descriptor;
        }
        throw new Error('@after is applicable only on a methods.');
    };
}
exports.after = after;
//# sourceMappingURL=after.js.map