"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delegate = void 0;
const delegatify_1 = require("./delegatify");
function delegate(keyResolver) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, delegatify_1.delegatify)(descriptor.value, keyResolver);
            return descriptor;
        }
        throw new Error('@delegate is applicable only on a methods.');
    };
}
exports.delegate = delegate;
//# sourceMappingURL=delegate.js.map