"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.memoizeAsync = void 0;
const memoize_asyncify_1 = require("./memoize-asyncify");
function memoizeAsync(input) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, memoize_asyncify_1.memoizeAsyncify)(descriptor.value, input);
            return descriptor;
        }
        throw new Error('@memoizeAsync is applicable only on a methods.');
    };
}
exports.memoizeAsync = memoizeAsync;
//# sourceMappingURL=memoize-async.js.map