import { afterify } from './afterify';
export function after(config) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = afterify(descriptor.value, config);
            return descriptor;
        }
        throw new Error('@after is applicable only on a methods.');
    };
}
//# sourceMappingURL=after.js.map