import { memoizify } from './memoizify';
export function memoize(input) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = memoizify(descriptor.value, input);
            return descriptor;
        }
        throw new Error('@memoize is applicable only on a methods.');
    };
}
//# sourceMappingURL=memoize.js.map