import { rateLimitify } from './rate-limitify';
export function rateLimit(config) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = rateLimitify(descriptor.value, config);
            return descriptor;
        }
        throw new Error('@rateLimit is applicable only on a method.');
    };
}
//# sourceMappingURL=rate-limit.js.map